ApiCatalog
Search catalog
Search for MCP servers across external registries (MCP Registry, Docker Hub) with unified pagination and filtering.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Query Parameters
search?|
Search query
source?array<>|
Filter by registry source
type?|
Filter by server type
transport?|
Filter by transport protocol
requires_config?boolean
Only show servers with required config
Default
falsesort_by?string
Sort order
Default
"updated"Value in
"updated" | "published" | "name"limit?integer
Results per page
Default
20Range
1 <= value <= 100cursor?|
Pagination cursor
Cookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/catalog/search"{
"items": [
{
"registry": "mcp_registry",
"registry_id": "string",
"name": "string",
"description": "string",
"server_type": "remote",
"package": "string",
"image": "string",
"transport": "stdio",
"url": "string",
"required_env": [
"string"
],
"required_args": [
"string"
],
"repository_url": "string",
"version": "string",
"updated_at": "2019-08-24T14:15:22Z",
"download_count": 0,
"star_count": 0,
"is_official": false,
"metrics_updated_at": "2019-08-24T14:15:22Z",
"tool_count": 0,
"category": "string",
"author": "string",
"license": "string"
}
],
"next_cursor": "string",
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}